Subject: [Secdispatch] Agenda time request: DANE for IOT security

From: Shumon Huque <[email-masked]>
Date: Mon, 12 Oct 2020 20:53:02 -0400

Dear SecDispatch chairs,

We'd like to ask for a presentation slot at SecDispatch during
IETF109 to talk about the use of DNS and DANE for IOT security.
We'd cover the following set of topics:

* DANE for TLS client authentication. Some proposed mechanisms
  are described in the following drafts, which were originally
  written a while back, and have recently been refreshed:
    https://tools.ietf.org/html/draft-huque-dane-client-cert-04
    https://tools.ietf.org/html/draft-huque-tls-dane-clientid-02

* The use of DNS & DANE for certificate discovery.

* Expanding the scope of DANE to cover the general use case of object
  security (DANE currently offers TLSA for TLS channel authentication,
  and SMIMEA for object security in email applications and email like
  identities, so neither quite fit the bill in their current forms).

Shumon Huque
(with some colleagues working in the IOT security space).